/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    generateScaffold = require('../../../../task/worker/generate_scaffold.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Generate scaffold.'] = function (test) {
    var workDir = testResource.resolveWorkFile('work_generate_scaffold');
    testResource.prepareCleanWorkDir(workDir, function () {
        test.ok(generateScaffold);
        test.done();
    });
};